mupen64plus-rsp-hle (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019
    - Add copyright for new files

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:01 +0100

mupen64plus-rsp-hle (2.5-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Change debian URLs to https://
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:51:43 +0200

mupen64plus-rsp-hle (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-rsp-hle-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 12:54:04 +0100

mupen64plus-rsp-hle (2.5-2) unstable; urgency=medium

  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:23 +0100

mupen64plus-rsp-hle (2.5-1) unstable; urgency=medium

  * New Upstream Version
  * Upload to unstable
  * Upgraded to policy 3.9.6, no changes required
  * debian/copyright:
    - Update years
    - Fix errors in paths to specific files
    - Add new files to debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 16:25:34 +0200

mupen64plus-rsp-hle (2.0+169+g6158876-1) experimental; urgency=medium

  * New Upstream Snapshot from 6158876a2132a2e9adb45d035489938ac9dea5dc

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 11:15:24 +0200

mupen64plus-rsp-hle (2.0+158+g889a070-1) experimental; urgency=medium

  * New Upstream Snapshot from 889a0707a5e1ce0197024789a6f7fc1e0a093a99
  * debian/patches:
    - Remove upstream merged jpeg_dispatching_278b0.patch,
      jpeg_memory_alloc_reduce.patch, jpeg_memory_alloc_refactor.patch,
      jpeg_memory_alloc_stack.patch, musyx_initial.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 05 Apr 2014 14:23:04 +0200

mupen64plus-rsp-hle (2.0-3) unstable; urgency=medium

  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:13:03 +0200

mupen64plus-rsp-hle (2.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/patches:
    - Add jpeg_dispatching_278b0.patch, Bottom of the 9th jpeg task dispatching
    - Add jpeg_memory_alloc_reduce.patch, macroblock memory allocation was
      bigger than needed
    - Add jpeg_memory_alloc_stack.patch, Refactor standard macroblock decoder
    - Add jpeg_memory_alloc_refactor.patch, Avoid dynamic memory allocation for
      macroblocks
    - Add musyx_initial.patch, Add initial support for MusyX
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/

 -- Sven Eckelmann <sven@narfation.org>  Sat, 05 Apr 2014 14:13:37 +0200

mupen64plus-rsp-hle (2.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key 954F81B094AA5BB226F5

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Jul 2013 22:53:00 +0200

mupen64plus-rsp-hle (2.0~rc2+1+3d76355d095c-2) experimental; urgency=low

  * Remove unused dependency to libsdl1.2-dev in debian/control
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:25:17 +0200

mupen64plus-rsp-hle (2.0~rc2+1+3d76355d095c-1) experimental; urgency=low

  * New Upstream Snapshot from 3d76355d095c456eb32677cb65feb775ef24d896
  * Enable link-time optimization in debian/rules similar to upstream

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:25:15 +0200

mupen64plus-rsp-hle (1.99.5+25+a77acef394fd-1) experimental; urgency=low

  * New Upstream Snapshot from a77acef394fdc331160e0e583b4f45f557b1b97c
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:15:39 +0100

mupen64plus-rsp-hle (1.99.5+11+bf4a5b4315de-1) experimental; urgency=low

  * New Upstream Snapshot from bf4a5b4315de9214efde317b2f3c9367880c9d8f
  * Upgraded to policy 3.9.4, no changes required
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:32:24 +0100

mupen64plus-rsp-hle (1.99.5+8+1e306f08d231-1) experimental; urgency=low

  * New Upstream Snapshot from 1e306f08d231ffc677723e93a4b84a3ba7503058

 -- Sven Eckelmann <sven@narfation.org>  Tue, 11 Sep 2012 21:21:51 +0200

mupen64plus-rsp-hle (1.99.5+6+0d5a734e9425-1) experimental; urgency=low

  * New Upstream Snapshot from 0d5a734e942501a78d199d53ad0099ce87855d3a
  * debian/patches:
    - Remove upstream merged gcc_lto.patch, pokemon_stadium_sound.patch
       zelda_graphics_glitches.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 17 Jun 2012 00:51:47 +0200

mupen64plus-rsp-hle (1.99.5-3) unstable; urgency=low

  * debian/patches:
    - Add gcc_lto.patch, Enable support for link-time optimization

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 00:59:47 +0200

mupen64plus-rsp-hle (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

  [ Sven Eckelmann ]
  * debian/patches:
    - Add pokemon_stadium_sound.patch, Fix sound in pokemon stadium
    - Add zelda_graphics_glitches.patch, Fix graphics glitches in Zelda OOT

 -- Sven Eckelmann <sven@narfation.org>  Fri, 27 Apr 2012 11:37:33 +0200

mupen64plus-rsp-hle (1.99.5-1) unstable; urgency=low

  * New Upstream Version
  * Update debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:35 +0100

mupen64plus-rsp-hle (1.99.4+26+8fd36d9bc293-1) experimental; urgency=low

  * New upstream snapshot from revision 8fd36d9bc2938825a34c1f9758cf95926ce697a9

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:42:34 +0100

mupen64plus-rsp-hle (1.99.4+23+850d9527e48e-1) experimental; urgency=low

  * New upstream snapshot from revision 850d9527e48eb08a9c2d57d97b68b79bef46940e
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patches big_endian_conflict.patch,
      endianness_xor.patch, rewrite_makefile.patch
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:05:53 +0200

mupen64plus-rsp-hle (1.99.4-4) unstable; urgency=low

  * debian/control:
    - Add virtual package libsdl-dev as alternative build dependency
  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:49:14 +0100

mupen64plus-rsp-hle (1.99.4-3) unstable; urgency=low

  * Upload to unstable
  * debian/rules:
    - Mark all targets as phony
    - Force PIC using Makefile option
    - Remove unintended optimization flags
  * debian/patches:
    - Remove obsolete default-optimisations.patch, hurd_os.patch
    - Add rewrite_makefile.patch, Rewrite Makefile to fix flags and
      linking
    - Add big_endian_conflict.patch, Don't use _BIG_ENDIAN to check for
      endianness
    - Add endianness_xor.patch, Add parentheses around arithmetic in
      operand of ‘^’ related to endian conversation

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 14:24:01 +0200

mupen64plus-rsp-hle (1.99.4-2) experimental; urgency=low

  * Upgraded to policy 3.9.2, no changes required
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Add multiarch support

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 16:52:39 +0200

mupen64plus-rsp-hle (1.99.4-1) experimental; urgency=low

  * New Upstream Version
  * Updated my maintainer e-mail address
  * Split source package to match upstreams modular release packages
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years
  * debian/patches:
    - Add hurd_os.patch, Add GNU/Hurd as operating system with "linux"
      userland
    - Rebase default-optimisations.patch against 1.99.4
    - Remove upstream merged patches: as-needed.patch,
      correct_fpr32_mapping.patch, correct_security_printf.patch,
      debian-archs.patch, dejavu-font.patch, destdir.patch,
      dont-install-unneeded.patch, fix-7z-subfolder.patch,
      fix-desktop-file.patch, fix_r0_override.patch, fix_readpng.patch,
      ftbfs-debugger.patch, ftbfs-dynarec.patch, ftbfs-glibc210.patch,
      ftbfs-gvariant-type-conflicts.patch, ftbfs-kfreebsd.patch,
      glide64_hurd.patch, glide64-noasm.patch, gtk-open-filter.patch,
      interpreter_x86_fldcw.patch, jttl_fix_romclosed.patch,
      link_gdk.patch, load_aidacrate.patch, load_vistatus.patch,
      noexecstack.patch, optional_signinfo.patch, osd-pause-crash.patch,
      path_max.patch, pie_support.patch, plugin-searchpath.patch,
      remove-gln64.patch, remove-nondfsg-icons.patch,
      resume_on_start.patch, rice-ati-symbols.patch,
      rice-crash-vendorstring.patch, rice_fog.patch, rice_nodebug.patch,
      rice-screenflickering.patch, rice-texturepack-crash.patch,
      rsp_hle_bigendian.patch, rsp_ucode2_reset.patch,
      static-binutils-libs.patch, system-libbz2.patch,
      system-liblzma.patch, system-libpng.patch, system-zlib.patch,
      version-string.patch, xdg-basedir.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jan 2011 11:05:28 +0100

mupen64plus (1.5+dfsg1-14) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Use externally provided LDFLAGS
    - Disable support for debugger due to missing pic/pie support of
      libopcodes.a
  * debian/patches:
    - Add correct_security_printf.patch, Correct possible printf format
      string vulnerability
    - Add pie_support.patch, Add support for PIE/PIC

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:52:32 +0200

mupen64plus (1.5+dfsg1-13) unstable; urgency=low

  * debian/patches:
    - Add path_max.patch, Add dummy PATH_MAX on systems without it
      (Closes: #588066)
    - Add optional_signinfo.patch, Only use siginfo subsystem if system
      offers it (Closes: #588066)
    - Add glide64_hurd.patch, Define GNU/Hurd as UNIX system for glide64
      (Closes: #588066)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 12 Jul 2010 23:20:02 +0200

mupen64plus (1.5+dfsg1-12) unstable; urgency=low

  * Use googlecode.debian.net instead of complex own filters for
    debian/watch
  * Upgraded to policy 3.9.0, no changes required
  * Build only on i386/amd64 because upstream doesn't to support more
  * debian/patches:
    - Add link_gdk.patch, Link directly against gdk-2.0 instead
      indirectly through gtk+-2.0

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 Jun 2010 21:31:48 +0200

mupen64plus (1.5+dfsg1-11) unstable; urgency=low

  * debian/patches:
    - Rename ftbfs-gvariant-type-conflicts.path to
      ftbfs-gvariant-type-conflicts.patch
    - Add rice-ati-symbols.patch, Allow to load rice on systems with
      missing opengl extensions

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 May 2010 11:55:23 +0200

mupen64plus (1.5+dfsg1-10) unstable; urgency=low

  [ Sven Eckelmann ]
  * debian/patches:
    - Add rsp_ucode2_reset.patch, Reset status of specific ucode2 hacks
      after starting again
    - Add rsp_hle_bigendian.patch, Fix wrong high level emulation of rsp
      on big endian systems
    - Add rice-crash-vendorstring.patch, Don't crash on long OpenGL
      vendor string (Closes: #580480, LP: #575968)

  [ Piotr Ożarowski ]
  * DMUA flag set to yes

 -- Sven Eckelmann <sven@narfation.org>  Thu, 06 May 2010 11:34:46 +0200

mupen64plus (1.5+dfsg1-9) unstable; urgency=low

  * debian/patches:
    - Add ftbfs-gvariant-type-conflicts.path, Fix FTBFS due to glib's
      gvariant.h type definitions (Closes: #577329)
    - Add dont-install-unneeded.patch, Don't install files which aren't
      used by us
  * debian/rules:
    - Enable parallel builds using dh's --parallel
    - Inform about missing installed files using dh's --list-missing
    - Share options between dh_auto_build and dh_auto_install
  * debian/control:
    - Depend on debhelper 7.4.10 for --parallel and --list-missing

 -- Sven Eckelmann <sven@narfation.org>  Sun, 11 Apr 2010 12:23:04 +0200

mupen64plus (1.5+dfsg1-8) unstable; urgency=low

  * debian/patches:
    - Add rice_fog.patch, Reduce flickering when enabling fog in rice
    - Update fix_readpng.patch, Fix FTBFS with libpng14 and remove
      coding style only changes
  * Convert to 3.0 (quilt) source format
  * Remove outdated README.source
  * debian/control:
    - Remove shlibs:Depends for binary packages without shared libs
      dependencies
    - Remove unneeded build dependency to quilt
    - Upgraded to policy 3.8.4, no changes required
  * Correct spelling errors found by lintian
  * debian/copyright: Update copyright years
  * Check all files ever published on the download page in debian/watch

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Mar 2010 16:22:03 +0100

mupen64plus (1.5+dfsg1-7) unstable; urgency=low

  * debian/patches:
    - Correct minor dep3 patch tagging format problems
    - Update correct_fpr32_mapping.patch, prevent corruption of upper
      registers in a register pair due to sign extension
    - Add system-liblzma.patch, use liblzma from debian instead of
      buildin (Closes: #543552)
  * debian/control:
    - Depend on liblzma-dev for lzma and xz support

 -- Sven Eckelmann <sven@narfation.org>  Mon, 19 Oct 2009 12:38:26 +0200

mupen64plus (1.5+dfsg1-6) unstable; urgency=low

  * debian/patches:
    - Add Origin information to patches
    - Update fix_readpng.patch, Backport actual commit from upstream
    - Update ftbfs-glibc210.patch, Backport actual commit from upstream
    - Update noexecstack.patch, Backport actual commit from upstream
    - Update jttl_fix_romclosed.patch, Backport actual commit from
      upstream
    - Add correct_fpr32_mapping.patch, Correct emulation of shared 32
      bit wide and 64 bit wide FPR in MIPS I and MIPS III mode
    - Remove load-fpr-location.patch which is replaced by
      correct_fpr32_mapping.patch
    - Add load_aidacrate.patch, Set aiDacrate during savestate load to
      fix slowdowns after savestate load
    - Add load_vistatus.patch, Set video width and status during
      savestate load
    - Add fix_r0_override.patch, Don't allow to override r0 register
    - Add resume_on_start.patch, Resume when pressing on start when in
      pause mode to prevent corruption
    - Add osd-pause-crash.patch, Fix OSD crash after
      pause-stop-start-pause of emulator

 -- Sven Eckelmann <sven@narfation.org>  Thu, 08 Oct 2009 13:29:25 +0200

mupen64plus (1.5+dfsg1-5) unstable; urgency=low

  * debian/patches:
    - Change to dep3 patch tagging guidelines
    - Remove number before patches as order is given by
      debian/patches/series
    - Add gtk-open-filter.patch, Show files with .n64 and .v64 extension
      in filtered open file dialog (Closes: #546046)
    - Add noexecstack.patch, Don't enable executable stack by default
      (Closes: #547644)
    - Add fix_readpng.patch, Fix crash when loading png due to
      reordering optimizer
    - Add jttl_fix_romclosed.patch, Stop audio processing thread before
      freeing buffers to fix segfault during stop of emulation
    - Add rice_nodebug.patch, Don't enable excessive debug functionality
      in rice_video
    - Add interpreter_x86_fldcw.patch, Correctly set floating point
      control word
    - Add load-fpr-location.patch, Set register bank location when
      loading savestate

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 Sep 2009 15:23:17 +0200

mupen64plus (1.5+dfsg1-4) unstable; urgency=low

  * debian/patches;
    - Update 119-debian-archs.patch, Correct detection of armel cpu
      endianness (Closes: #545463)
    - Add 120-ftbfs-glibc210, Fix FTBFS using g++-4.4 and glibc 2.10 due
      to missing const keywords (Closes: #545462)
    - Add 121-version-string.patch, remove misleading "-development" in
      version string
    - Add 122-default-optimisations.patch, Don't override optimisations
      set by debian build environment

 -- Sven Eckelmann <sven@narfation.org>  Tue, 08 Sep 2009 22:17:00 +0200

mupen64plus (1.5+dfsg1-3) unstable; urgency=low

  * debian/rules:
    - Set host architecture to support build of i386 running on x86_64
      kernel (Closes: #544670)
    - Don't set NO_ASM parameter anymore as it is handled by
      119-debian-archs.patch
  * debian/patches:
    - Add 119-debian-archs.patch, Define wordsize and endianness of
      architectures supported by debian (Closes: #544673)
    - Update 118-ftbfs-debugger.patch, define dummy functions to
      decompile recompiled code on non-x86 architectures (Closes:
      #544662)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 02 Sep 2009 23:18:11 +0200

mupen64plus (1.5+dfsg1-2) unstable; urgency=low

  * debian/patches
    - Add 114-fix-7z-subfolder.patch, fix crash in romcache when reading
      7zip archive with subfolders
    - Add 115-xdg-basedir.patch, Use "XDG Base Directory" compliant
      directories for files for each user (Closes: #544428)
    - Add 116-ftbfs-dynarec.patch, Don't try to compile dynarec on
      architectures without support (Closes: #544548)
    - Add 117-ftbfs-kfreebsd.patch, Don't stop compilation due to
      unknown OS kFreeBSD (Closes: #544550)
    - Add 118-ftbfs-debugger.patch, Define CHECK_MEM for non-x86 systems
      to prevent FTBFS due to dynarec checks (Closes: #544549)
  * debian/control:
    - Depend on libxdg-basedir-dev and pkg-config to support xdg-basedir
      specification
  * debian/rules:
    - Disable assembler optimized parts on unsupported architectures
  * Add README.source with information about patch management
  * Add NEWS.Debian with information about migration of old data and
    configuration to new xdg compliant directories

 -- Sven Eckelmann <sven@narfation.org>  Tue, 01 Sep 2009 20:40:30 +0200

mupen64plus (1.5+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #513322)
  * debian/patches:
    - Add 100-fix-desktop-file.patch, fix desktop file
    - Add 101-destdir.patch, fix usage of DESTDIR in install target
    - Add 102-plugin-searchpath.patch, add search path for plugins
    - Add 103-dejavu-font.patch, use font from ttf-dejavu-core package
    - Add 104-as-needed.patch, allow --as-needed to reduce number of
      linked libraries
    - Add 105-system-libpng.patch, use libpng from debian instead of
      buildin
    - Add 106-system-zlib.patch, use zlib from debian instead of buildin
    - Add 107-system-libbz2.patch, use libbz2 from debian instead of
      buildin
    - Add 108-remove-gln64.patch, don't try to build glN64 removed from
      dfsg tar
    - Add 109-remove-nondfsg-icons.patch, don't include non-dfsg icons
      which are removed from dfsg tarball
    - Add 110-glide64-noasm.patch, don't use x86-asm on non-x86
      plattforms in glide64
    - Add 111-rice-texturepack-crash.patch, Fix crash when loading
      textures from texturepacks with rice_video
    - Add 112-rice-screenflickering.patch, Reduce screenflickering in
      some games when using rice_video
    - Add 113-static-binutils-libs.patch, Link static against binutils
      libraries with unstable abi

 -- Sven Eckelmann <sven@narfation.org>  Mon, 17 Aug 2009 10:18:49 +0200
